"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CaptureResponse = void 0;
const exception_types_1 = require("./exception-types");
const skky_1 = require("./skky");
class CaptureResponse {
    constructor(result = '', msg = '', responseCode = 0, obj) {
        this.id = +new Date();
        this.ts = this.id;
        // constructor items
        this.msg = '';
        this.responseCode = 0;
        this.result = '';
        this.result = result;
        this.msg = msg;
        this.responseCode = responseCode;
        this.obj = obj;
    }
    setError(errobj) {
        this.result = 'Error';
        this.responseCode = -1;
        if (errobj) {
            if ((0, skky_1.isObject)(errobj) && errobj instanceof exception_types_1.GrayArrowException) {
                if (!(0, skky_1.isNullOrUndefined)(errobj.responseCode)) {
                    this.responseCode = errobj.responseCode;
                }
                if (errobj.message) {
                    this.msg = errobj.message;
                }
                if (errobj.obj) {
                    this.obj = errobj.obj;
                }
            }
            else {
                switch (typeof (errobj)) {
                    case 'string':
                        this.msg = errobj;
                        break;
                    case 'number':
                        this.responseCode = errobj;
                        break;
                    default:
                        this.obj = errobj;
                        break;
                }
            }
        }
    }
    setSuccess(obj) {
        this.result = 'success';
        if (obj) {
            this.obj = obj;
        }
    }
    static responseCodeIsGood(ret) {
        if ((0, skky_1.isObject)(ret, 'responseCode')) {
            return ret.responseCode >= 200 && ret.responseCode < 300;
        }
        return false;
    }
    static isSuccess(ret) {
        if ((0, skky_1.isObject)(ret, 'result')) {
            return 'success' === (0, skky_1.safestrLowercase)(ret.result);
        }
        return false;
    }
}
exports.CaptureResponse = CaptureResponse;
// export type CaptureResponseType<T> = InstanceType<typeof CaptureResponse>
