import { IdCreatedUpdated, IIdCreatedUpdated } from "./id-created-updated";
import { IIdName } from "./id-name";
import { IIdVal } from "./id-val";
import { NameValType } from "./name-val";
export interface IConfig<Tid = string, Tval = boolean> extends IIdVal<Tid, Tval>, IIdName<Tid, string>, IIdCreatedUpdated<Tid> {
    userid: Tid;
}
export default class Config<Tid = string, Tval = boolean> extends IdCreatedUpdated<Tid> implements IConfig<Tid, Tval> {
    userid: Tid;
    name: string;
    val: Tval;
    constructor(id: Tid, userid: Tid, name: string | undefined, val: Tval, updatedby?: string, updated?: Date, createdby?: string, created?: Date);
    copyFromDatabase(dbtp: IConfig<Tid, Tval>): void;
    api(): NameValType<Tval>;
}
export type ConfigType<Tid = string, Tval = boolean> = {
    id: Tid;
    userid: Tid;
    name: string;
    val: Tval;
    updatedby: string;
    updated: Date;
    createdby: string;
    created: Date;
};
