import { FetchDataTypesAllowed, FetchSettings } from "./fetch-http";
/**
 * Wraps a Promise waiting for status conditions via the returned read() method.
 * Throws the Promise if it is not completed so that <Suspense> continues waiting until the Promise if returned cleanly from read().
 * @param param A fetchParams type holding the variables to drive a fetch.
 * @returns A read() method to be used by <Suspense> and <ErrorBoundary> to show components when the data is ready.
 */
export default function fetchData<Tdata extends FetchDataTypesAllowed, Tret>({ url, method, data, fname, bearerToken }: FetchSettings): {
    read: () => unknown;
};
