import { ICreatedBy, IId, IUpdatedBy } from "./interfaces";
export interface IIdCreated<Tid = string> extends IId<Tid>, ICreatedBy {
}
export interface IIdCreatedUpdated<Tid = string> extends IIdCreated<Tid>, IUpdatedBy {
}
export declare class IdCreated<Tid = string> implements IIdCreated<Tid> {
    id?: Tid;
    createdby: string;
    created: Date;
    constructor(id: Tid | IIdCreated<Tid> | undefined, createdby?: string, created?: Date);
    copyFromDatabase(dbtp: IIdCreated<Tid>): void;
}
export declare class IdCreatedUpdated<Tid = string> extends IdCreated<Tid> implements IIdCreatedUpdated<Tid> {
    updatedby: string;
    updated: Date;
    constructor(id: Tid | IIdCreatedUpdated<Tid> | undefined, createdby?: string, created?: Date, updatedby?: string, updated?: Date);
    copyFromDatabase(dbtp: IIdCreatedUpdated<Tid>): void;
}
