"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdCreatedUpdated = exports.IdCreated = void 0;
const skky_1 = require("./skky");
class IdCreated {
    constructor(id, createdby = 'IdCreated', created = new Date()) {
        this.createdby = 'IdCreated';
        this.created = new Date();
        if (id && (0, skky_1.isObject)(id)) {
            this.copyFromDatabase(id);
        }
        else {
            if (!(0, skky_1.isNullOrUndefined)(id)) {
                this.id = id;
            }
            this.created = created;
            this.createdby = createdby;
        }
    }
    copyFromDatabase(dbtp) {
        this.id = dbtp.id;
        this.createdby = dbtp.createdby;
        this.created = dbtp.created;
    }
}
exports.IdCreated = IdCreated;
class IdCreatedUpdated extends IdCreated {
    constructor(id, createdby = 'IdCreatedUpdated', created = new Date(), updatedby = 'IdCreatedUpdated', updated = new Date()) {
        super(id, createdby, created);
        this.updatedby = 'IdCreatedUpdated';
        this.updated = new Date();
        if (id && (0, skky_1.isObject)(id)) {
            this.copyFromDatabase(id);
        }
        else {
            this.updated = updated;
            this.updatedby = updatedby;
        }
    }
    copyFromDatabase(dbtp) {
        super.copyFromDatabase(dbtp);
        this.updatedby = dbtp.updatedby;
        this.updated = dbtp.updated;
    }
}
exports.IdCreatedUpdated = IdCreatedUpdated;
