import { GrayArrowObject } from "./GrayArrowObject";
import { StringOrStringArray } from "./types";
export declare class InstrumentationStatistics extends GrayArrowObject {
    successes: number;
    failures: number;
    totalProcessed: number;
    skipped: number;
    update: number;
    upsert: number;
    add: number;
    delete: number;
    msg: string[];
    startTime: Date;
    finishTime?: Date;
    constructor(totalProcessed?: number, numSuccesses?: number, numFailures?: number);
    get className(): string;
    addStats(stats?: InstrumentationStatistics): void;
    addMessage(msg?: StringOrStringArray | object): number;
    addFailure(msg?: string): number;
    addSuccess(msg?: string): number;
    addSkip(msg?: string): number;
    added(msg?: string): number;
    deleted(msg?: string): number;
    updated(msg?: string): number;
    upserted(msg?: string): number;
    addProcessed(msg?: string): number;
    finished(): void;
    get processingTime(): number;
    /** Gets the total processing time in seconds. */
    get processingTimeInSeconds(): number;
    processingTimeString(longFormat: boolean): string;
    lineSeparator(isOneLine?: boolean, multilineSeparator?: string): string;
    getNumberString(num: number): string;
    messageString(isOneLine?: boolean): string;
}
