export declare var SessionStorage: {
    /**
     * Clears all sessionStorage.
     */
    clear: () => void;
    /**
     * Gets an item from sessionStorage.
     * @param key The key of the sessionStorage item to retrieve.
     * @returns The value stored at key, an object if one is detected, otherwise null if the key cannot be found.
     */
    getItem<T extends object>(key: string): T | undefined;
    getString(key: string): string | null;
    /**
     * Removes a key item from sessionStorage.
     * @param key The key of the sessionStorage item to remove.
     */
    removeItem: (key: string) => void;
    /**
     * Sets a sessionStorage item at key with value.
     * @param key The key of the sessionStorage item to remove.
     * @param value The string or object to store into the sessonStorage key.
     */
    setItem<T_1>(key: string, value: T_1): void;
};
