"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CONST_defaultCompanyCity = exports.PriceHistoricalResponse = exports.ExchangeInfo = exports.CompanyProfile = exports.AssetQuoteShort = void 0;
const skky_1 = require("./skky");
class AssetQuoteShort {
    constructor(obj) {
        this.symbol = '';
        this.price = 0;
        this.volume = 0;
        if ((0, skky_1.isObject)(obj)) {
            Object.assign(this, obj);
        }
    }
}
exports.AssetQuoteShort = AssetQuoteShort;
class CompanyProfile {
    constructor() {
        this.symbol = '';
        this.price = 0;
        this.beta = 0;
        this.volAvg = 0;
        this.mktCap = 0;
        this.lastDiv = '';
        this.range = '';
        this.changes = 0;
        this.companyName = '';
        this.currency = '';
        this.isin = '';
        this.isEtf = false;
        this.cusip = '';
        this.exchange = '';
        this.exchangeShortName = '';
        this.industry = '';
        this.website = '';
        this.description = '';
        this.ceo = '';
        this.sector = '';
        this.country = '';
        this.fullTimeEmployees = 0;
        this.phone = '';
        this.address = '';
        this.city = '';
        this.state = '';
        this.zip = '';
        this.dcfDiff = '';
        this.dcf = '';
        this.image = '';
        this.ipoDate = '';
    }
}
exports.CompanyProfile = CompanyProfile;
class ExchangeInfo {
    constructor() {
        this.symbol = '';
        this.name = '';
        this.price = 0;
        this.volume = 0; // Not sure about this one
        this.exchange = '';
        this.exchangeShortName = '';
    }
}
exports.ExchangeInfo = ExchangeInfo;
class PriceHistoricalResponse {
    constructor(obj) {
        this.date = ''; // 2021-06-24,
        this.open = 0; // 221.16,
        this.high = 0; // 227.45,
        this.low = 0; // 211.6,
        this.close = 0; // 212.31,
        this.adjClose = 0; // 212.31,
        this.volume = 0; // 3866565,
        this.unadjustedVolume = 0; // 3866565,
        this.change = 0; // -8.85,
        this.changePercent = 0; // -4.002,
        this.vwap = 0; // 217.12,
        this.label = ''; // June 24, 21,
        this.changeOverTime = 0; // -0.04002,
        this.datetime = 0; // 1624507200000
        if ((0, skky_1.isObject)(obj)) {
            Object.assign(this, obj);
        }
    }
}
exports.PriceHistoricalResponse = PriceHistoricalResponse;
exports.CONST_defaultCompanyCity = {
    name: '',
    date: '',
    description: '',
    imageUrl: '',
    website: '',
    slug: '',
    ticker: '',
    scales: [],
};
